> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/retouren-handling.md).

# Retouren Handling

Process returns in VARIO Cloud via API, from receiving scans and matching documents to validating items, quantities, return causes and processing steps.

Return receiving and processing.

## POST /rma/returns/receiving/process-input

> Process an input for the return receiving

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.40.3"},"tags":[{"name":"Retouren-Handling","description":"Return receiving and processing."}],"servers":[{"url":"api.example.com"}],"paths":{"/rma/returns/receiving/process-input":{"post":{"tags":["Retouren-Handling"],"summary":"Process an input for the return receiving","operationId":"processReceivingInput","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-rma-ReturnReceivingRequest"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-rma-ReturnReceivingResponse"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-rma-ReturnReceivingRequest":{"properties":{"inputData":{"type":"string","description":"User input or scan."},"returnReceivingId":{"type":"integer","format":"int64","description":"Running process identifier."},"returnReceivingLineId":{"type":"integer","format":"int64","description":"Specific line identifier (optional)."},"quantity":{"type":"number","description":"Quantity (optional)."},"action":{"type":"string","description":"Action to perform.","enum":["NONE","ADD_LINE","REMOVE_LINE","ADD_UNKNOWN_ARTICLE","FINISH","CANCEL"]},"chosenAccountId":{"type":"integer","format":"int64","description":"Selected account."},"chosenDocumentId":{"type":"integer","format":"int64","description":"Selected document."},"chosenDocumentLineId":{"type":"integer","format":"int64","description":"Selected document line."},"chosenReturnReceivingComponentInfoId":{"type":"integer","format":"int64","description":"Selected component information of the return receiving line."}}},"erp-rma-ReturnReceivingResponse":{"properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"returnReceivingRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"returnReceivingNumber":{"type":"string","description":"Process number."},"returnReceivingState":{"type":"string","description":"Process status."},"returnCauseRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"lineCount":{"type":"integer","format":"int32","description":"Number of lines in the process."},"lines":{"type":"array","description":"All lines of the process.","items":{"$ref":"#/components/schemas/erp-rma-ReturnHandlingLineInfo"}},"currentReturnReceivingLineId":{"type":"integer","format":"int64","description":"Currently selected line identifier."},"unknownArticleInputs":{"type":"array","description":"Scanned inputs for unknown articles.","items":{"type":"string","description":"Scanned inputs for unknown articles."}},"documentRef":{"$ref":"#/components/schemas/erp-document-DocumentRef"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"storageBinRef":{"$ref":"#/components/schemas/erp-stock-StorageBinRef"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"candidateDocumentLines":{"type":"array","description":"Candidate document lines when the article assignment is ambiguous.","items":{"$ref":"#/components/schemas/erp-rma-DocumentLineCandidateInfo"}}}},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-rma-ReturnHandlingLineInfo":{"description":"All lines of the process.","properties":{"returnReceivingLineId":{"type":"integer","format":"int64","description":"Referenced return receiving line identifier."},"documentLineId":{"type":"integer","format":"int64","description":"Referenced document line identifier."},"position":{"type":"integer","format":"int32","description":"Position."},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleNumber":{"type":"string","description":"Article number."},"componentInfos":{"type":"array","description":"Recorded quantities and serial numbers per component.","items":{"$ref":"#/components/schemas/erp-rma-ReturnReceivingComponentInfo"}},"quantity":{"type":"number","description":"Quantity."},"returnCauseRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"processingState":{"type":"string","description":"Processing state."},"documentRef":{"$ref":"#/components/schemas/erp-document-DocumentRef"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetStorageBinRef":{"$ref":"#/components/schemas/erp-stock-StorageBinRef"},"returnValidity":{"type":"string","description":"Return validity."},"returnType":{"type":"string","description":"Return type (MONEY, GOODS, UNDECIDED)."}}},"erp-rma-ReturnReceivingComponentInfo":{"description":"Recorded quantities and serial numbers per component.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"quantity":{"type":"number","description":"Quantity."},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sourceComponentRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-document-DocumentRef":{"description":"Reference to a Document.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"category":{"type":"string","description":"Document categories.","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","CUSTOMER_RETURN_ANNOUNCEMENT","CUSTOMER_GOODS_RETURN","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Document type."},"documentState":{"type":"string","description":"Document state."},"number":{"type":"string","description":"Document number."}},"required":["id"]},"erp-stock-StorageBinRef":{"description":"Storage bin.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"displayName":{"type":"string","description":"Display name."},"routePosition":{"type":"integer","format":"int32","description":"Route position."},"color":{"type":"string","description":"Display color."},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-rma-DocumentLineCandidateInfo":{"description":"Candidate document lines when the article assignment is ambiguous.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"position":{"type":"integer","format":"int32","description":"Position."},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleName":{"type":"string","description":"Article name."},"quantity":{"type":"number","description":"Quantity."},"documentRef":{"$ref":"#/components/schemas/erp-document-DocumentRef"},"componentRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"integralNumber":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"string":{"type":"boolean"},"container":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"boolean":{"type":"boolean"},"binary":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## POST /rma/returns/processing/process-input

> Process an input for the return processing

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.40.3"},"tags":[{"name":"Retouren-Handling","description":"Return receiving and processing."}],"servers":[{"url":"api.example.com"}],"paths":{"/rma/returns/processing/process-input":{"post":{"tags":["Retouren-Handling"],"summary":"Process an input for the return processing","operationId":"processProcessingInput","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-rma-ReturnProcessingRequest"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-rma-ReturnProcessingResponse"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-rma-ReturnProcessingRequest":{"properties":{"inputData":{"type":"string","description":"User input or scan."},"returnReceivingId":{"type":"integer","format":"int64","description":"Running process identifier."},"returnReceivingLineId":{"type":"integer","format":"int64","description":"Specific line identifier (optional)."},"quantity":{"type":"number","description":"Quantity (optional)."},"action":{"type":"string","description":"Action to perform.","enum":["NONE","SET_RETURN_VALIDITY_FOR_LINE","FINISH"]}}},"erp-rma-ReturnProcessingResponse":{"properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"returnReceivingRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"returnReceivingNumber":{"type":"string","description":"Process number."},"returnReceivingState":{"type":"string","description":"Process status."},"returnCauseRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"lineCount":{"type":"integer","format":"int32","description":"Number of lines in the process."},"lines":{"type":"array","description":"All lines of the process.","items":{"$ref":"#/components/schemas/erp-rma-ReturnHandlingLineInfo"}},"currentReturnReceivingLineId":{"type":"integer","format":"int64","description":"Currently selected line identifier."},"unknownArticleInputs":{"type":"array","description":"Scanned inputs for unknown articles.","items":{"type":"string","description":"Scanned inputs for unknown articles."}}}},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-rma-ReturnHandlingLineInfo":{"description":"All lines of the process.","properties":{"returnReceivingLineId":{"type":"integer","format":"int64","description":"Referenced return receiving line identifier."},"documentLineId":{"type":"integer","format":"int64","description":"Referenced document line identifier."},"position":{"type":"integer","format":"int32","description":"Position."},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleNumber":{"type":"string","description":"Article number."},"componentInfos":{"type":"array","description":"Recorded quantities and serial numbers per component.","items":{"$ref":"#/components/schemas/erp-rma-ReturnReceivingComponentInfo"}},"quantity":{"type":"number","description":"Quantity."},"returnCauseRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"processingState":{"type":"string","description":"Processing state."},"documentRef":{"$ref":"#/components/schemas/erp-document-DocumentRef"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetStorageBinRef":{"$ref":"#/components/schemas/erp-stock-StorageBinRef"},"returnValidity":{"type":"string","description":"Return validity."},"returnType":{"type":"string","description":"Return type (MONEY, GOODS, UNDECIDED)."}}},"erp-rma-ReturnReceivingComponentInfo":{"description":"Recorded quantities and serial numbers per component.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"quantity":{"type":"number","description":"Quantity."},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sourceComponentRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-document-DocumentRef":{"description":"Reference to a Document.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"category":{"type":"string","description":"Document categories.","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","CUSTOMER_RETURN_ANNOUNCEMENT","CUSTOMER_GOODS_RETURN","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Document type."},"documentState":{"type":"string","description":"Document state."},"number":{"type":"string","description":"Document number."}},"required":["id"]},"erp-stock-StorageBinRef":{"description":"Storage bin.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"displayName":{"type":"string","description":"Display name."},"routePosition":{"type":"integer","format":"int32","description":"Route position."},"color":{"type":"string","description":"Display color."},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"integralNumber":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"string":{"type":"boolean"},"container":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"boolean":{"type":"boolean"},"binary":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/retouren-handling.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
